> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/ro/documentatie-api/geopard-api-requests-overview/82.-query-restore-subscription-events.md).

# 82. Interogare: Restaurează evenimentele abonării

Este întotdeauna o bună practică să existe posibilitatea de a restaura și verifica din nou evenimentele de abonare livrate în raport cu cele produse. Prin urmare, GeoPard păstrează istoricul tuturor evenimentelor de abonare produse pentru **ultimele 12 luni**.

Cazuri de utilizare frecvente:

* Conexiune slabă la internet, iar evenimentele nu au fost livrate
* Redeployarea ascultătorului WebSocket
* Verificați consecvența dintre evenimentele primite și cele produse

{% code overflow="wrap" lineNumbers="true" %}

```graphql
  getPlatformEvents(input: {
    dateFrom: "2023-05-25T12:49:00.000Z", 
    dateTo: "2023-05-30T06:35:00.000Z", 
    userUuids: ["<placeholder_of_user_uuid>"]
  }){
    events {
      executionDate
      event {
        uuid
        userUuid
        action
        nodePath {
          entity
          uuid
        }
      }
    } 
  }
}
```

{% endcode %}

Filtre de intrare acceptate:

* `dateFrom` ca dată și oră în formatul ISO 8701 (de exemplu: `"2023-05-25T12:49:00.000Z"`)
* `dateTo` ca dată și oră în formatul ISO 8701 (de exemplu: `"2023-05-30T06:35:00.000Z"`)
* `farmUuids` ca matrice de UUID-uri „Farm” pentru căutare
* `fieldUuids` ca matrice de UUID-uri „Field” pentru căutare
* `userUuids` ca tablou cu UUID-urile utilizatorilor care trebuie căutați
* `eventUuids` ca matrice de UUID-uri ale evenimentelor de abonare

{% hint style="info" %}
Toate filtrele funcționează ca o condiție logică de tip **AND**.
{% endhint %}

{% hint style="info" %}
Fiecare eveniment de abonare are un atribut `executionDate` asociat momentului trimiterii, în formatul AWSDateTime compatibil cu ISO 8601 DateTime.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/ro/documentatie-api/geopard-api-requests-overview/82.-query-restore-subscription-events.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
